# dkim_ssl_version()

[back to index]

SYNOPSIS

    #include <dkim.h>
    unsigned long dkim_ssl_version(void);

Retrieve the SSL version number against which the library was compiled.

DESCRIPTION

Called When | `dkim_ssl_version()` can be called at any time.

ARGUMENTS | None.
RETURN VALUES | The constant `OPENSSL_VERSION_NUMBER` as defined by the OpenSSL package.

NOTES

- The value returned by this function has no meaning to the library. The intent here is to confirm that the library and applications using it were both compiled with compatible versions of OpenSSL.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.